Get Wishlist Status
Returns the wishlist status of the provided product IDs
POST
/
store
/
customer-access-center
/
wishlist
/
status
Get Wishlist Status
curl --request POST \
--url https://services.leadconnectorhq.com/store/customer-access-center/wishlist/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"productIds": [
"5e8c3f5a812e52f9bd6ec577",
"6578cead787ad8fce8adbdc8a8e8"
],
"storeId": "3SwdhCu3svxI8AKsPJt6",
"contactId": "3SwdhCu3svxI8AKsPJt6"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'location',
productIds: ['5e8c3f5a812e52f9bd6ec577', '6578cead787ad8fce8adbdc8a8e8'],
storeId: '3SwdhCu3svxI8AKsPJt6',
contactId: '3SwdhCu3svxI8AKsPJt6'
})
};
fetch('https://services.leadconnectorhq.com/store/customer-access-center/wishlist/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/store/customer-access-center/wishlist/status"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"productIds": ["5e8c3f5a812e52f9bd6ec577", "6578cead787ad8fce8adbdc8a8e8"],
"storeId": "3SwdhCu3svxI8AKsPJt6",
"contactId": "3SwdhCu3svxI8AKsPJt6"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"products": [
"5e8c3f5a812e52f9bd6ec577",
"6578cead787ad8fce8adbdc8a8e8"
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Body
application/json
Last modified on March 8, 2026
Was this page helpful?
Get Wishlist Status
curl --request POST \
--url https://services.leadconnectorhq.com/store/customer-access-center/wishlist/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"productIds": [
"5e8c3f5a812e52f9bd6ec577",
"6578cead787ad8fce8adbdc8a8e8"
],
"storeId": "3SwdhCu3svxI8AKsPJt6",
"contactId": "3SwdhCu3svxI8AKsPJt6"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'location',
productIds: ['5e8c3f5a812e52f9bd6ec577', '6578cead787ad8fce8adbdc8a8e8'],
storeId: '3SwdhCu3svxI8AKsPJt6',
contactId: '3SwdhCu3svxI8AKsPJt6'
})
};
fetch('https://services.leadconnectorhq.com/store/customer-access-center/wishlist/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/store/customer-access-center/wishlist/status"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"productIds": ["5e8c3f5a812e52f9bd6ec577", "6578cead787ad8fce8adbdc8a8e8"],
"storeId": "3SwdhCu3svxI8AKsPJt6",
"contactId": "3SwdhCu3svxI8AKsPJt6"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"products": [
"5e8c3f5a812e52f9bd6ec577",
"6578cead787ad8fce8adbdc8a8e8"
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}